Subject: Re: bug#21909: Segfault with eigen in R

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 2 Mar 2016 11:40:53 +0100

Kyle Meyer <[email-masked]> writes:

> I've opened an issue in the OpenBLAS repo [1].
>
>   https://github.com/xianyi/OpenBLAS/issues/703
>
> I'm trying to answer their questions, but, as is apparent in that
> thread, I'm not really familiar with debugging these sorts of problems.
> Since others are able to reproduce the error, any help over there would
> be very appreciated.
>
> [1] The last post suggested it may be an R issue rather than an OpenBLAS
>     one, but I wanted to be more sure of that before going to R
>     developers, especially given their comment about the --with-lapack
>     flag:
>
>     "Please do bear in mind that using --with-lapack is 'definitely not
>     recommended': it is provided only because it is necessary on some
>     platforms and because some users want to experiment with claimed
>     performance improvements. Reporting problems where it is used
>     unnecessarily will simply irritate the R helpers."
>
>     https://cran.r-project.org/doc/manuals/r-release/R-admin.html#LAPACK

We have since removed OpenBLAS from the inputs of R and just use the
internal BLAS instead.  Without OpenBLAS I cannot reproduce this bug
any more.

~~ Ricardo